
_set_up:

;temp_cont_kp_4x3.c,23 :: 		void set_up() {    //Configuration for Pic16F887
;temp_cont_kp_4x3.c,25 :: 		ANSEL = 0x0D;// RA0, RA2 and RA3 are configured as analog inputs
	MOVLW      13
	MOVWF      ANSEL+0
;temp_cont_kp_4x3.c,26 :: 		ANSELH = 0;//the Rest of the pins are configured as digital inputs or outputs.
	CLRF       ANSELH+0
;temp_cont_kp_4x3.c,27 :: 		TRISA = 0x0D;
	MOVLW      13
	MOVWF      TRISA+0
;temp_cont_kp_4x3.c,28 :: 		ADCON1.F4 = 1;     // VREF+ = 1.5v.
	BSF        ADCON1+0, 4
;temp_cont_kp_4x3.c,29 :: 		ADCON1.F5 = 1;    // VREF- = GND.
	BSF        ADCON1+0, 5
;temp_cont_kp_4x3.c,30 :: 		C1ON_bit = 0;    // analog comparators off.
	BCF        C1ON_bit+0, BitPos(C1ON_bit+0)
;temp_cont_kp_4x3.c,31 :: 		C2ON_bit = 0;
	BCF        C2ON_bit+0, BitPos(C2ON_bit+0)
;temp_cont_kp_4x3.c,32 :: 		CCP1CON = 0;   //PWM1 y PWM2 off.
	CLRF       CCP1CON+0
;temp_cont_kp_4x3.c,33 :: 		CCP2CON = 0;
	CLRF       CCP2CON+0
;temp_cont_kp_4x3.c,34 :: 		TRISD0_bit=0;
	BCF        TRISD0_bit+0, BitPos(TRISD0_bit+0)
;temp_cont_kp_4x3.c,35 :: 		TRISD1_bit=0;
	BCF        TRISD1_bit+0, BitPos(TRISD1_bit+0)
;temp_cont_kp_4x3.c,36 :: 		TRISE0_bit=0;
	BCF        TRISE0_bit+0, BitPos(TRISE0_bit+0)
;temp_cont_kp_4x3.c,37 :: 		TRISE1_bit=0;
	BCF        TRISE1_bit+0, BitPos(TRISE1_bit+0)
;temp_cont_kp_4x3.c,38 :: 		TRISE2_bit=0;
	BCF        TRISE2_bit+0, BitPos(TRISE2_bit+0)
;temp_cont_kp_4x3.c,39 :: 		RD0_bit=0;
	BCF        RD0_bit+0, BitPos(RD0_bit+0)
;temp_cont_kp_4x3.c,40 :: 		RD1_bit=0;
	BCF        RD1_bit+0, BitPos(RD1_bit+0)
;temp_cont_kp_4x3.c,41 :: 		RE0_bit=0;
	BCF        RE0_bit+0, BitPos(RE0_bit+0)
;temp_cont_kp_4x3.c,42 :: 		RE1_bit=0;
	BCF        RE1_bit+0, BitPos(RE1_bit+0)
;temp_cont_kp_4x3.c,43 :: 		RE2_bit=0;
	BCF        RE2_bit+0, BitPos(RE2_bit+0)
;temp_cont_kp_4x3.c,44 :: 		Keypad_Init();
	CALL       _Keypad_Init+0
;temp_cont_kp_4x3.c,45 :: 		Lcd_Init();
	CALL       _Lcd_Init+0
;temp_cont_kp_4x3.c,46 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;temp_cont_kp_4x3.c,47 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;temp_cont_kp_4x3.c,48 :: 		}
L_end_set_up:
	RETURN
; end of _set_up

_buzzer:

;temp_cont_kp_4x3.c,49 :: 		void buzzer() {
;temp_cont_kp_4x3.c,50 :: 		RD1_bit=1;
	BSF        RD1_bit+0, BitPos(RD1_bit+0)
;temp_cont_kp_4x3.c,51 :: 		delay_ms(Tone);
	MOVLW      195
	MOVWF      R12+0
	MOVLW      205
	MOVWF      R13+0
L_buzzer0:
	DECFSZ     R13+0, 1
	GOTO       L_buzzer0
	DECFSZ     R12+0, 1
	GOTO       L_buzzer0
;temp_cont_kp_4x3.c,52 :: 		RD1_bit=0;
	BCF        RD1_bit+0, BitPos(RD1_bit+0)
;temp_cont_kp_4x3.c,53 :: 		delay_ms(Tone);
	MOVLW      195
	MOVWF      R12+0
	MOVLW      205
	MOVWF      R13+0
L_buzzer1:
	DECFSZ     R13+0, 1
	GOTO       L_buzzer1
	DECFSZ     R12+0, 1
	GOTO       L_buzzer1
;temp_cont_kp_4x3.c,54 :: 		}
L_end_buzzer:
	RETURN
; end of _buzzer

_print_temperature:

;temp_cont_kp_4x3.c,55 :: 		void print_temperature() {
;temp_cont_kp_4x3.c,59 :: 		ch = temp1 / 100;
	MOVLW      100
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _temp1+0, 0
	MOVWF      R0+0
	MOVF       _temp1+1, 0
	MOVWF      R0+1
	MOVF       _temp1+2, 0
	MOVWF      R0+2
	MOVF       _temp1+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
;temp_cont_kp_4x3.c,60 :: 		Lcd_Chr(1,8,48+ch);
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      8
	MOVWF      FARG_Lcd_Chr_column+0
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;temp_cont_kp_4x3.c,61 :: 		ch = (temp1 / 10 )% 10;
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _temp1+0, 0
	MOVWF      R0+0
	MOVF       _temp1+1, 0
	MOVWF      R0+1
	MOVF       _temp1+2, 0
	MOVWF      R0+2
	MOVF       _temp1+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Div_32x32_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R8+2, 0
	MOVWF      R0+2
	MOVF       R8+3, 0
	MOVWF      R0+3
;temp_cont_kp_4x3.c,62 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;temp_cont_kp_4x3.c,63 :: 		ch = temp1 % 10;
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _temp1+0, 0
	MOVWF      R0+0
	MOVF       _temp1+1, 0
	MOVWF      R0+1
	MOVF       _temp1+2, 0
	MOVWF      R0+2
	MOVF       _temp1+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R8+2, 0
	MOVWF      R0+2
	MOVF       R8+3, 0
	MOVWF      R0+3
;temp_cont_kp_4x3.c,64 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;temp_cont_kp_4x3.c,65 :: 		ch = temp2 / 100;
	MOVLW      100
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _temp2+0, 0
	MOVWF      R0+0
	MOVF       _temp2+1, 0
	MOVWF      R0+1
	MOVF       _temp2+2, 0
	MOVWF      R0+2
	MOVF       _temp2+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
;temp_cont_kp_4x3.c,66 :: 		Lcd_Chr(2,8,48+ch);
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      8
	MOVWF      FARG_Lcd_Chr_column+0
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;temp_cont_kp_4x3.c,67 :: 		ch = (temp2 / 10 )% 10;
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _temp2+0, 0
	MOVWF      R0+0
	MOVF       _temp2+1, 0
	MOVWF      R0+1
	MOVF       _temp2+2, 0
	MOVWF      R0+2
	MOVF       _temp2+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Div_32x32_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R8+2, 0
	MOVWF      R0+2
	MOVF       R8+3, 0
	MOVWF      R0+3
;temp_cont_kp_4x3.c,68 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;temp_cont_kp_4x3.c,69 :: 		ch = temp2 % 10;
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _temp2+0, 0
	MOVWF      R0+0
	MOVF       _temp2+1, 0
	MOVWF      R0+1
	MOVF       _temp2+2, 0
	MOVWF      R0+2
	MOVF       _temp2+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R8+2, 0
	MOVWF      R0+2
	MOVF       R8+3, 0
	MOVWF      R0+3
;temp_cont_kp_4x3.c,70 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;temp_cont_kp_4x3.c,71 :: 		text = "temp1:";
	MOVLW      ?lstr1_temp_cont_kp_4x3+0
	MOVWF      _text+0
;temp_cont_kp_4x3.c,72 :: 		Lcd_Out(1,2,text);
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_column+0
	MOVF       _text+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;temp_cont_kp_4x3.c,73 :: 		text = "temp2:";
	MOVLW      ?lstr2_temp_cont_kp_4x3+0
	MOVWF      _text+0
;temp_cont_kp_4x3.c,74 :: 		Lcd_Out(2,2,text);
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_column+0
	MOVF       _text+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;temp_cont_kp_4x3.c,75 :: 		Lcd_Chr(1,11,223);   // Print degree character for Centigrades.
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      11
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      223
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;temp_cont_kp_4x3.c,76 :: 		Lcd_Chr(1,12,'C');
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      67
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;temp_cont_kp_4x3.c,77 :: 		Lcd_Chr(2,11,223);   // Print degree character for Centigrades.
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      11
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      223
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;temp_cont_kp_4x3.c,78 :: 		Lcd_Chr(2,12,'C');
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      67
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;temp_cont_kp_4x3.c,79 :: 		Delay_ms(350);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      199
	MOVWF      R12+0
	MOVLW      136
	MOVWF      R13+0
L_print_temperature2:
	DECFSZ     R13+0, 1
	GOTO       L_print_temperature2
	DECFSZ     R12+0, 1
	GOTO       L_print_temperature2
	DECFSZ     R11+0, 1
	GOTO       L_print_temperature2
	NOP
;temp_cont_kp_4x3.c,80 :: 		}
L_end_print_temperature:
	RETURN
; end of _print_temperature

_reading:

;temp_cont_kp_4x3.c,81 :: 		void reading() {
;temp_cont_kp_4x3.c,83 :: 		adc_rd = ADC_Read(0);
	CLRF       FARG_ADC_Read_channel+0
	CALL       _ADC_Read+0
	MOVF       R0+0, 0
	MOVWF      _adc_rd+0
	MOVF       R0+1, 0
	MOVWF      _adc_rd+1
;temp_cont_kp_4x3.c,84 :: 		delay_ms(2);
	MOVLW      3
	MOVWF      R12+0
	MOVLW      151
	MOVWF      R13+0
L_reading3:
	DECFSZ     R13+0, 1
	GOTO       L_reading3
	DECFSZ     R12+0, 1
	GOTO       L_reading3
	NOP
	NOP
;temp_cont_kp_4x3.c,85 :: 		temp2 = (long)adc_rd * factor;
	MOVF       _adc_rd+0, 0
	MOVWF      R0+0
	MOVF       _adc_rd+1, 0
	MOVWF      R0+1
	CLRF       R0+2
	CLRF       R0+3
	MOVLW      150
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Mul_32x32_U+0
	MOVF       R0+0, 0
	MOVWF      _temp2+0
	MOVF       R0+1, 0
	MOVWF      _temp2+1
	MOVF       R0+2, 0
	MOVWF      _temp2+2
	MOVF       R0+3, 0
	MOVWF      _temp2+3
;temp_cont_kp_4x3.c,86 :: 		temp2 = temp2 / 1023;
	MOVLW      255
	MOVWF      R4+0
	MOVLW      3
	MOVWF      R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Div_32x32_S+0
	MOVF       R0+0, 0
	MOVWF      _temp2+0
	MOVF       R0+1, 0
	MOVWF      _temp2+1
	MOVF       R0+2, 0
	MOVWF      _temp2+2
	MOVF       R0+3, 0
	MOVWF      _temp2+3
;temp_cont_kp_4x3.c,87 :: 		}
L_end_reading:
	RETURN
; end of _reading

_keypad:

;temp_cont_kp_4x3.c,89 :: 		void keypad() {
;temp_cont_kp_4x3.c,90 :: 		short int i=0, select=0;
	CLRF       keypad_i_L0+0
	CLRF       keypad_select_L0+0
;temp_cont_kp_4x3.c,91 :: 		RE0_bit=0;
	BCF        RE0_bit+0, BitPos(RE0_bit+0)
;temp_cont_kp_4x3.c,92 :: 		RE1_bit=0;
	BCF        RE1_bit+0, BitPos(RE1_bit+0)
;temp_cont_kp_4x3.c,93 :: 		RE2_bit=0;
	BCF        RE2_bit+0, BitPos(RE2_bit+0)
;temp_cont_kp_4x3.c,94 :: 		temp1 = 0;
	CLRF       _temp1+0
	CLRF       _temp1+1
	CLRF       _temp1+2
	CLRF       _temp1+3
;temp_cont_kp_4x3.c,95 :: 		buzzer();
	CALL       _buzzer+0
;temp_cont_kp_4x3.c,96 :: 		for(i=0; i<=3; i++){
	CLRF       keypad_i_L0+0
L_keypad4:
	MOVLW      128
	XORLW      3
	MOVWF      R0+0
	MOVLW      128
	XORWF      keypad_i_L0+0, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_keypad5
;temp_cont_kp_4x3.c,97 :: 		RD0_bit=1;
	BSF        RD0_bit+0, BitPos(RD0_bit+0)
;temp_cont_kp_4x3.c,98 :: 		reading();
	CALL       _reading+0
;temp_cont_kp_4x3.c,99 :: 		temp1 =(10*temp1) + contador;
	MOVLW      10
	MOVWF      R0+0
	CLRF       R0+1
	CLRF       R0+2
	CLRF       R0+3
	MOVF       _temp1+0, 0
	MOVWF      R4+0
	MOVF       _temp1+1, 0
	MOVWF      R4+1
	MOVF       _temp1+2, 0
	MOVWF      R4+2
	MOVF       _temp1+3, 0
	MOVWF      R4+3
	CALL       _Mul_32x32_U+0
	MOVF       _contador+0, 0
	MOVWF      R4+0
	MOVLW      0
	BTFSC      R4+0, 7
	MOVLW      255
	MOVWF      R4+1
	MOVWF      R4+2
	MOVWF      R4+3
	MOVF       R0+0, 0
	ADDWF      R4+0, 1
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	INCFSZ     R0+1, 0
	ADDWF      R4+1, 1
	MOVF       R0+2, 0
	BTFSC      STATUS+0, 0
	INCFSZ     R0+2, 0
	ADDWF      R4+2, 1
	MOVF       R0+3, 0
	BTFSC      STATUS+0, 0
	INCFSZ     R0+3, 0
	ADDWF      R4+3, 1
	MOVF       R4+0, 0
	MOVWF      _temp1+0
	MOVF       R4+1, 0
	MOVWF      _temp1+1
	MOVF       R4+2, 0
	MOVWF      _temp1+2
	MOVF       R4+3, 0
	MOVWF      _temp1+3
;temp_cont_kp_4x3.c,100 :: 		if(temp1>100) temp1=0;
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      R4+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__keypad42
	MOVF       R4+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__keypad42
	MOVF       R4+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__keypad42
	MOVF       R4+0, 0
	SUBLW      100
L__keypad42:
	BTFSC      STATUS+0, 0
	GOTO       L_keypad7
	CLRF       _temp1+0
	CLRF       _temp1+1
	CLRF       _temp1+2
	CLRF       _temp1+3
L_keypad7:
;temp_cont_kp_4x3.c,101 :: 		print_temperature();
	CALL       _print_temperature+0
;temp_cont_kp_4x3.c,102 :: 		do //hope that the keypad is pressed and after thar is free.
L_keypad8:
;temp_cont_kp_4x3.c,103 :: 		kp=Keypad_Key_Click();  //read the keypad.
	CALL       _Keypad_Key_Click+0
	MOVF       R0+0, 0
	MOVWF      _kp+0
;temp_cont_kp_4x3.c,104 :: 		while (!kp);
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_keypad8
;temp_cont_kp_4x3.c,105 :: 		if(kp==1)  contador = 1;
	MOVF       _kp+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_keypad11
	MOVLW      1
	MOVWF      _contador+0
L_keypad11:
;temp_cont_kp_4x3.c,106 :: 		if(kp==2)  contador = 2;
	MOVF       _kp+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L_keypad12
	MOVLW      2
	MOVWF      _contador+0
L_keypad12:
;temp_cont_kp_4x3.c,107 :: 		if(kp==3)  contador = 3;
	MOVF       _kp+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L_keypad13
	MOVLW      3
	MOVWF      _contador+0
L_keypad13:
;temp_cont_kp_4x3.c,108 :: 		if(kp==5)  contador = 4;
	MOVF       _kp+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L_keypad14
	MOVLW      4
	MOVWF      _contador+0
L_keypad14:
;temp_cont_kp_4x3.c,109 :: 		if(kp==6)  contador = 5;
	MOVF       _kp+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L_keypad15
	MOVLW      5
	MOVWF      _contador+0
L_keypad15:
;temp_cont_kp_4x3.c,110 :: 		if(kp==7)  contador = 6;
	MOVF       _kp+0, 0
	XORLW      7
	BTFSS      STATUS+0, 2
	GOTO       L_keypad16
	MOVLW      6
	MOVWF      _contador+0
L_keypad16:
;temp_cont_kp_4x3.c,111 :: 		if(Kp==9)  contador = 7;
	MOVF       _kp+0, 0
	XORLW      9
	BTFSS      STATUS+0, 2
	GOTO       L_keypad17
	MOVLW      7
	MOVWF      _contador+0
L_keypad17:
;temp_cont_kp_4x3.c,112 :: 		if(kp==10) contador = 8;
	MOVF       _kp+0, 0
	XORLW      10
	BTFSS      STATUS+0, 2
	GOTO       L_keypad18
	MOVLW      8
	MOVWF      _contador+0
L_keypad18:
;temp_cont_kp_4x3.c,113 :: 		if(kp==11) contador = 9;
	MOVF       _kp+0, 0
	XORLW      11
	BTFSS      STATUS+0, 2
	GOTO       L_keypad19
	MOVLW      9
	MOVWF      _contador+0
L_keypad19:
;temp_cont_kp_4x3.c,114 :: 		if(kp==13) contador = 0, temp1=0, i=0; //clear(*)
	MOVF       _kp+0, 0
	XORLW      13
	BTFSS      STATUS+0, 2
	GOTO       L_keypad20
	CLRF       _contador+0
	CLRF       _temp1+0
	CLRF       _temp1+1
	CLRF       _temp1+2
	CLRF       _temp1+3
	CLRF       keypad_i_L0+0
L_keypad20:
;temp_cont_kp_4x3.c,115 :: 		if(kp==14) contador = 0;
	MOVF       _kp+0, 0
	XORLW      14
	BTFSS      STATUS+0, 2
	GOTO       L_keypad21
	CLRF       _contador+0
L_keypad21:
;temp_cont_kp_4x3.c,116 :: 		if(kp==15) contador = 0, select=1; //Enter(#)
	MOVF       _kp+0, 0
	XORLW      15
	BTFSS      STATUS+0, 2
	GOTO       L_keypad22
	CLRF       _contador+0
	MOVLW      1
	MOVWF      keypad_select_L0+0
L_keypad22:
;temp_cont_kp_4x3.c,117 :: 		kp=0;
	CLRF       _kp+0
;temp_cont_kp_4x3.c,118 :: 		if((select==0)&&(i==3)) i=0;
	MOVF       keypad_select_L0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_keypad25
	MOVF       keypad_i_L0+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L_keypad25
L__keypad36:
	CLRF       keypad_i_L0+0
L_keypad25:
;temp_cont_kp_4x3.c,119 :: 		if(select==1) i=3;
	MOVF       keypad_select_L0+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_keypad26
	MOVLW      3
	MOVWF      keypad_i_L0+0
L_keypad26:
;temp_cont_kp_4x3.c,120 :: 		buzzer();
	CALL       _buzzer+0
;temp_cont_kp_4x3.c,121 :: 		Delay_ms(10);
	MOVLW      13
	MOVWF      R12+0
	MOVLW      251
	MOVWF      R13+0
L_keypad27:
	DECFSZ     R13+0, 1
	GOTO       L_keypad27
	DECFSZ     R12+0, 1
	GOTO       L_keypad27
	NOP
	NOP
;temp_cont_kp_4x3.c,96 :: 		for(i=0; i<=3; i++){
	INCF       keypad_i_L0+0, 1
;temp_cont_kp_4x3.c,122 :: 		}
	GOTO       L_keypad4
L_keypad5:
;temp_cont_kp_4x3.c,123 :: 		}
L_end_keypad:
	RETURN
; end of _keypad

_main:

;temp_cont_kp_4x3.c,125 :: 		void main() {
;temp_cont_kp_4x3.c,126 :: 		set_up();
	CALL       _set_up+0
;temp_cont_kp_4x3.c,127 :: 		buzzer();
	CALL       _buzzer+0
;temp_cont_kp_4x3.c,128 :: 		do{
L_main28:
;temp_cont_kp_4x3.c,129 :: 		RD0_bit=0;
	BCF        RD0_bit+0, BitPos(RD0_bit+0)
;temp_cont_kp_4x3.c,130 :: 		reading();
	CALL       _reading+0
;temp_cont_kp_4x3.c,131 :: 		print_temperature();
	CALL       _print_temperature+0
;temp_cont_kp_4x3.c,132 :: 		if(temp1 > temp2)  RE0_bit=1, RE1_bit=0, RE2_bit=0;
	MOVLW      128
	XORWF      _temp2+3, 0
	MOVWF      R0+0
	MOVLW      128
	XORWF      _temp1+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main44
	MOVF       _temp1+2, 0
	SUBWF      _temp2+2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main44
	MOVF       _temp1+1, 0
	SUBWF      _temp2+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main44
	MOVF       _temp1+0, 0
	SUBWF      _temp2+0, 0
L__main44:
	BTFSC      STATUS+0, 0
	GOTO       L_main31
	BSF        RE0_bit+0, BitPos(RE0_bit+0)
	BCF        RE1_bit+0, BitPos(RE1_bit+0)
	BCF        RE2_bit+0, BitPos(RE2_bit+0)
L_main31:
;temp_cont_kp_4x3.c,133 :: 		if(temp1 == temp2) RE0_bit=0, RE1_bit=1, RE2_bit=0;
	MOVF       _temp1+3, 0
	XORWF      _temp2+3, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main45
	MOVF       _temp1+2, 0
	XORWF      _temp2+2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main45
	MOVF       _temp1+1, 0
	XORWF      _temp2+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main45
	MOVF       _temp1+0, 0
	XORWF      _temp2+0, 0
L__main45:
	BTFSS      STATUS+0, 2
	GOTO       L_main32
	BCF        RE0_bit+0, BitPos(RE0_bit+0)
	BSF        RE1_bit+0, BitPos(RE1_bit+0)
	BCF        RE2_bit+0, BitPos(RE2_bit+0)
L_main32:
;temp_cont_kp_4x3.c,134 :: 		if(temp1 < temp2)  RE0_bit=0, RE1_bit=0, RE2_bit=1;
	MOVLW      128
	XORWF      _temp1+3, 0
	MOVWF      R0+0
	MOVLW      128
	XORWF      _temp2+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main46
	MOVF       _temp2+2, 0
	SUBWF      _temp1+2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main46
	MOVF       _temp2+1, 0
	SUBWF      _temp1+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main46
	MOVF       _temp2+0, 0
	SUBWF      _temp1+0, 0
L__main46:
	BTFSC      STATUS+0, 0
	GOTO       L_main33
	BCF        RE0_bit+0, BitPos(RE0_bit+0)
	BCF        RE1_bit+0, BitPos(RE1_bit+0)
	BSF        RE2_bit+0, BitPos(RE2_bit+0)
L_main33:
;temp_cont_kp_4x3.c,135 :: 		if(Keypad_Key_press()) delay_ms(100), keypad();
	CALL       _Keypad_Key_Press+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main34
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_main35:
	DECFSZ     R13+0, 1
	GOTO       L_main35
	DECFSZ     R12+0, 1
	GOTO       L_main35
	NOP
	NOP
	CALL       _keypad+0
L_main34:
;temp_cont_kp_4x3.c,136 :: 		} while (1);
	GOTO       L_main28
;temp_cont_kp_4x3.c,137 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
