//Temperature_Controller_Keypad_4x3
char  keypadPort at PORTB;
#define Tone 150
///////////LCD declarations.
sbit LCD_RS at RD2_bit;
sbit LCD_EN at RD3_bit;
sbit LCD_D4 at RD4_bit;
sbit LCD_D5 at RD5_bit;
sbit LCD_D6 at RD6_bit;
sbit LCD_D7 at RD7_bit;
sbit LCD_RS_Direction at TRISD2_bit;
sbit LCD_EN_Direction at TRISD3_bit;
sbit LCD_D4_Direction at TRISD4_bit;
sbit LCD_D5_Direction at TRISD5_bit;
sbit LCD_D6_Direction at TRISD6_bit;
sbit LCD_D7_Direction at TRISD7_bit;
///////////////////////////////////
unsigned int adc_rd;
int short contador=0;
char *text, kp=0;
long temp1=0, temp2=0;  //reference temperature = temp1
///////////////////////////////////
void set_up() {    //Configuration for Pic16F887

  ANSEL = 0x0D;// RA0, RA2 and RA3 are configured as analog inputs
  ANSELH = 0;//the Rest of the pins are configured as digital inputs or outputs.
  TRISA = 0x0D;
  ADCON1.F4 = 1;     // VREF+ = 1.5v.
  ADCON1.F5 = 1;    // VREF- = GND.
  C1ON_bit = 0;    // analog comparators off.
  C2ON_bit = 0;
  CCP1CON = 0;   //PWM1 y PWM2 off.
  CCP2CON = 0;
  TRISD0_bit=0;
  TRISD1_bit=0;
  TRISE0_bit=0;
  TRISE1_bit=0;
  TRISE2_bit=0;
  RD0_bit=0;
  RD1_bit=0;
  RE0_bit=0;
  RE1_bit=0;
  RE2_bit=0;
  Keypad_Init();
  Lcd_Init();
  Lcd_Cmd(_LCD_CLEAR);
  Lcd_Cmd(_LCD_CURSOR_OFF);
}
void buzzer() {
 RD1_bit=1;
 delay_ms(Tone);
 RD1_bit=0;
 delay_ms(Tone);
}
void print_temperature() {

    unsigned char ch ;
 // Write result in ASCII format
    ch = temp1 / 100;
    Lcd_Chr(1,8,48+ch);
    ch = (temp1 / 10 )% 10;
    Lcd_Chr_CP(48+ch);
    ch = temp1 % 10;
    Lcd_Chr_CP(48+ch);
    ch = temp2 / 100;
    Lcd_Chr(2,8,48+ch);
    ch = (temp2 / 10 )% 10;
    Lcd_Chr_CP(48+ch);
    ch = temp2 % 10;
    Lcd_Chr_CP(48+ch);
    text = "temp1:";
    Lcd_Out(1,2,text);
    text = "temp2:";
    Lcd_Out(2,2,text);
    Lcd_Chr(1,11,223);   // Print degree character for Centigrades.
    Lcd_Chr(1,12,'C');
    Lcd_Chr(2,11,223);   // Print degree character for Centigrades.
    Lcd_Chr(2,12,'C');
    Delay_ms(350);
}
void reading() {
   const int factor=150;  // 10mv = 1C
   adc_rd = ADC_Read(0);
   delay_ms(2);
   temp2 = (long)adc_rd * factor;
   temp2 = temp2 / 1023;
}

void keypad() {
short int i=0, select=0;
  RE0_bit=0;
  RE1_bit=0;
  RE2_bit=0;
  temp1 = 0;
  buzzer();
for(i=0; i<=3; i++){
   RD0_bit=1;
   reading();
   temp1 =(10*temp1) + contador;
   if(temp1>100) temp1=0;
   print_temperature();
  do //hope that the keypad is pressed and after thar is free.
  kp=Keypad_Key_Click();  //read the keypad.
  while (!kp);
     if(kp==1)  contador = 1;
     if(kp==2)  contador = 2;
     if(kp==3)  contador = 3;
     if(kp==5)  contador = 4;
     if(kp==6)  contador = 5;
     if(kp==7)  contador = 6;
     if(Kp==9)  contador = 7;
     if(kp==10) contador = 8;
     if(kp==11) contador = 9;
     if(kp==13) contador = 0, temp1=0, i=0; //clear(*)
     if(kp==14) contador = 0;
     if(kp==15) contador = 0, select=1; //Enter(#)
     kp=0;
     if((select==0)&&(i==3)) i=0;
     if(select==1) i=3;
     buzzer();
     Delay_ms(10);
   }
}

void main() {
 set_up();
 buzzer();
 do{
    RD0_bit=0;
    reading();
    print_temperature();
    if(temp1 > temp2)  RE0_bit=1, RE1_bit=0, RE2_bit=0;
    if(temp1 == temp2) RE0_bit=0, RE1_bit=1, RE2_bit=0;
    if(temp1 < temp2)  RE0_bit=0, RE1_bit=0, RE2_bit=1;
    if(Keypad_Key_press()) delay_ms(100), keypad();
  } while (1);
}